Ubuntu

linux-meta metapackages should not be in section 'metapackages'

Reported by Steve Langasek on 2012-11-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-meta (Ubuntu)
High
Unassigned
Precise
High
Leann Ogasawara
Quantal
High
Leann Ogasawara
Raring
High
Unassigned
linux-meta-ac100 (Ubuntu)
Undecided
Adam Conrad
Precise
Undecided
Adam Conrad
Quantal
Undecided
Adam Conrad
Raring
Undecided
Adam Conrad
linux-meta-armadaxp (Ubuntu)
Undecided
Jani Monoses
Precise
Undecided
Ike Panhc
Quantal
Undecided
Jani Monoses
Raring
Undecided
Jani Monoses
linux-meta-lowlatency (Ubuntu)
Undecided
Andy Whitcroft
Precise
Undecided
Adam Conrad
Quantal
Undecided
Adam Conrad
Raring
Undecided
Andy Whitcroft
linux-meta-nexus7 (Ubuntu)
Undecided
Adam Conrad
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Adam Conrad
linux-meta-ppc (Ubuntu)
Undecided
Adam Conrad
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Adam Conrad
linux-meta-ti-omap4 (Ubuntu)
Undecided
Adam Conrad
Precise
Undecided
Paolo Pisati
Quantal
Undecided
Adam Conrad
Raring
Undecided
Adam Conrad

Bug Description

== SRU Justification ==
Packages built from linux-meta source are currently in Section: metapackages. The original rationale for this was that Recommends were handled differently for 'metapackages' (bug #114662).

This rationale no longer applies and has not for a long time (all recommends are now installed by default). Instead, use of this section causes all *dependencies* of the linux metapackages to be marked as 'manual', preventing them from ever being cleaned up by apt autoremoval.

I have pushed changes to the archive overrides to move all of these packages from section 'metapackages' to section 'kernel', and I will be preparing an apt upload that automatically marks any such installed packages 'auto' instead of 'manual' as a one-time upgrade fixup. The linux-meta source package should also make this change of moving everything from Section: metapackages to Section: kernel, to guard against this regressing in the future.

== Test Case ==
Examine kernel metapackage debs with dpkg-deb -I and confirm they are now in Section: kernel

Steve Langasek (vorlon) on 2012-11-04
Changed in linux-meta (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in linux-meta (Ubuntu Quantal):
status: New → Triaged
importance: Undecided → High
Changed in linux-meta (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 3.7.0.3.7

---------------
linux-meta (3.7.0.3.7) raring; urgency=low

  * linux ABI 3.7.0-3
  * Move metapackages to Section: kernel
    -LP: #1074787
  * Update RELEASE_NAME and Vcs-Git to Raring
 -- Leann Ogasawara <email address hidden> Tue, 20 Nov 2012 12:40:22 -0800

Changed in linux-meta (Ubuntu Raring):
status: Triaged → Fix Released
Tim Gardner (timg-tpi) on 2012-11-21
Changed in linux-meta (Ubuntu Precise):
assignee: nobody → Leann Ogasawara (leannogasawara)
status: Triaged → Fix Committed
Changed in linux-meta (Ubuntu Quantal):
assignee: nobody → Leann Ogasawara (leannogasawara)
status: Triaged → Fix Committed
Adam Conrad (adconrad) on 2012-11-27
Changed in linux-meta-armadaxp (Ubuntu Precise):
assignee: nobody → Jani Monoses (jani)
Changed in linux-meta-armadaxp (Ubuntu Quantal):
assignee: nobody → Jani Monoses (jani)
Changed in linux-meta-armadaxp (Ubuntu Raring):
assignee: nobody → Jani Monoses (jani)
Changed in linux-meta-ti-omap4 (Ubuntu Precise):
assignee: nobody → Paolo Pisati (p-pisati)
Changed in linux-meta-ti-omap4 (Ubuntu Quantal):
assignee: nobody → Paolo Pisati (p-pisati)
Changed in linux-meta-ti-omap4 (Ubuntu Raring):
assignee: nobody → Paolo Pisati (p-pisati)
Adam Conrad (adconrad) on 2012-11-27
Changed in linux-meta-ppc (Ubuntu Precise):
status: New → Invalid
Changed in linux-meta-ppc (Ubuntu Quantal):
status: New → Invalid
Changed in linux-meta-ppc (Ubuntu Raring):
assignee: nobody → Adam Conrad (adconrad)
status: New → Fix Released
Andy Whitcroft (apw) on 2012-11-28
Changed in linux-meta-lowlatency (Ubuntu Raring):
status: New → Fix Committed
assignee: nobody → Andy Whitcroft (apw)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-lowlatency - 3.7.0.4.5

---------------
linux-meta-lowlatency (3.7.0.4.5) raring; urgency=low

  * Bump ABI for 3.7.0-4 kernels.
  * Move metapackages to Section: kernel. (LP: #1074787)
  * Drop the Vcs-Git: link as we are not using source control.
 -- Andy Whitcroft <email address hidden> Wed, 28 Nov 2012 20:41:53 +0000

Changed in linux-meta-lowlatency (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 3.2.0.35.40

---------------
linux-meta (3.2.0.35.40) precise-proposed; urgency=low

  [ Brad Figg ]

  * UBUNTU: The -hv- driver should be for the same flavour of kernel generic->generic, virtual->virtual, generic-pae->generic-pae
    - LP: #1089970

linux-meta (3.2.0.35.39) precise-proposed; urgency=low

  [ Andy Whitcroft ]

  * Add the linux-backports-modules-hv-precise-virtual for Hyper-V.
    - LP: #1089970

linux-meta (3.2.0.35.38) precise-proposed; urgency=low

  [ Leann Ogasawara ]

  * Move metapackages to Section: kernel
    - LP: #1074787

  [ Luis Henriques ]

  * Bump ABI
 -- Brad Figg <email address hidden> Thu, 13 Dec 2012 17:23:44 -0800

Changed in linux-meta (Ubuntu Precise):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2012-12-21
Changed in linux-meta-nexus7 (Ubuntu Precise):
status: New → Invalid
Changed in linux-meta-nexus7 (Ubuntu Quantal):
status: New → Invalid
Adam Conrad (adconrad) on 2012-12-21
Changed in linux-meta-ac100 (Ubuntu Raring):
assignee: nobody → Adam Conrad (adconrad)
status: New → In Progress
Changed in linux-meta-nexus7 (Ubuntu Raring):
assignee: nobody → Adam Conrad (adconrad)
status: New → In Progress
Changed in linux-meta-ti-omap4 (Ubuntu Raring):
assignee: Paolo Pisati (p-pisati) → Adam Conrad (adconrad)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-ac100 - 3.1.10.6.1

---------------
linux-meta-ac100 (3.1.10.6.1) raring; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
  * Make linux-nexus7 depend on linux-headers-nexus7, like with master.
 -- Adam Conrad <email address hidden> Thu, 20 Dec 2012 21:30:36 -0700

Changed in linux-meta-ac100 (Ubuntu Raring):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-nexus7 - 3.1.10.8.15

---------------
linux-meta-nexus7 (3.1.10.8.15) raring; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
  * Make linux-nexus7 depend on linux-headers-nexus7, like with master.
 -- Adam Conrad <email address hidden> Thu, 20 Dec 2012 21:18:53 -0700

Changed in linux-meta-nexus7 (Ubuntu Raring):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-ti-omap4 - 3.5.0.216.16

---------------
linux-meta-ti-omap4 (3.5.0.216.16) raring; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
  * Make linux-nexus7 depend on linux-headers-nexus7, like with master.
 -- Adam Conrad <email address hidden> Thu, 20 Dec 2012 21:27:24 -0700

Changed in linux-meta-ti-omap4 (Ubuntu Raring):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-ti-omap4 - 3.5.0.216.17

---------------
linux-meta-ti-omap4 (3.5.0.216.17) quantal; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
  * Make linux-omap4 depend on linux-headers-omap4, the same as master.
 -- Adam Conrad <email address hidden> Thu, 20 Dec 2012 21:27:24 -0700

Changed in linux-meta-ti-omap4 (Ubuntu Quantal):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-armadaxp - 3.5.0.1606.9

---------------
linux-meta-armadaxp (3.5.0.1606.9) quantal; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
  * Make linux-armadaxp depend on linux-headers-armadaxp, same as master.
 -- Adam Conrad <email address hidden> Fri, 21 Dec 2012 03:14:49 -0700

Changed in linux-meta-armadaxp (Ubuntu Quantal):
status: New → Fix Released
Changed in linux-meta-armadaxp (Ubuntu Raring):
status: New → Fix Released
Adam Conrad (adconrad) on 2012-12-21
Changed in linux-meta-ti-omap4 (Ubuntu Quantal):
assignee: Paolo Pisati (p-pisati) → Adam Conrad (adconrad)
Adam Conrad (adconrad) on 2013-01-15
Changed in linux-meta-ac100 (Ubuntu Precise):
assignee: nobody → Adam Conrad (adconrad)
status: New → In Progress
Changed in linux-meta-ac100 (Ubuntu Quantal):
assignee: nobody → Adam Conrad (adconrad)
status: New → In Progress

Hello Steve, or anyone else affected,

Accepted linux-meta-ac100 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-meta-ac100/3.0.27.1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in linux-meta-ac100 (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux-meta-ac100 (Ubuntu Quantal):
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :

Hello Steve, or anyone else affected,

Accepted linux-meta-ac100 into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-meta-ac100/3.1.10.6.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) on 2013-01-17
Changed in linux-meta-lowlatency (Ubuntu Quantal):
assignee: nobody → Adam Conrad (adconrad)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-ac100 - 3.0.27.1.2

---------------
linux-meta-ac100 (3.0.27.1.2) precise; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
  * Update linux-ac100 to depend on linux-headers-ac100 (LP: #960770)
 -- Adam Conrad <email address hidden> Tue, 15 Jan 2013 00:22:38 -0700

Changed in linux-meta-ac100 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-ac100 - 3.1.10.6.2

---------------
linux-meta-ac100 (3.1.10.6.2) quantal; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
  * Update linux-ac100 to depend on linux-headers-ac100 (LP: #960770)
 -- Adam Conrad <email address hidden> Thu, 20 Dec 2012 21:30:36 -0700

Changed in linux-meta-ac100 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2013-01-17
Changed in linux-meta-lowlatency (Ubuntu Precise):
assignee: nobody → Adam Conrad (adconrad)
status: New → Fix Committed
Changed in linux-meta-lowlatency (Ubuntu Quantal):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-lowlatency - 3.2.0.36.26

---------------
linux-meta-lowlatency (3.2.0.36.26) precise; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
 -- Adam Conrad <email address hidden> Thu, 17 Jan 2013 14:09:04 -0700

Changed in linux-meta-lowlatency (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-lowlatency - 3.5.0.22.21

---------------
linux-meta-lowlatency (3.5.0.22.21) quantal; urgency=low

  * Change sections to devel/kernel to match the archive (LP: #1074787)
  * Update linux-flavor to depend on linux-headers-flavor (LP: #960770)
 -- Adam Conrad <email address hidden> Thu, 17 Jan 2013 14:03:09 -0700

Changed in linux-meta-lowlatency (Ubuntu Quantal):
status: Fix Committed → Fix Released
Jani Monoses (jani) on 2013-04-10
Changed in linux-meta-armadaxp (Ubuntu Precise):
assignee: Jani Monoses (jani) → Ike Panhc (ikepanhc)
Ike Panhc (ikepanhc) on 2013-04-11
Changed in linux-meta-armadaxp (Ubuntu Precise):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-armadaxp - 3.2.0.1617.23

---------------
linux-meta-armadaxp (3.2.0.1617.23) precise-proposed; urgency=low

  * Depend on linux-armadaxp 3.2.0-1616.24
  * Move metapackages to Section: kernel
    - LP: #1074787
  * Correct vcs-git link
 -- Ike Panhc <email address hidden> Thu, 11 Apr 2013 12:54:14 +0800

Changed in linux-meta-armadaxp (Ubuntu Precise):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers